Bug 433618 - Add super-H(sh3,4) architecture support. SDL
Add super-H(sh3,4) architecture support. SDL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
9
sh4 Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 07:11 EST by CHIKAMA Masaki
Modified: 2009-07-14 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against SDL_config.h. (349 bytes, patch)
2008-02-20 07:11 EST, CHIKAMA Masaki
no flags Details | Diff
Patch for SDL spec file. (396 bytes, patch)
2008-02-20 07:11 EST, CHIKAMA Masaki
no flags Details | Diff
SDL-spec.diff (965 bytes, patch)
2008-05-27 04:35 EDT, CHIKAMA Masaki
no flags Details | Diff
SDL_config_h.patch (412 bytes, patch)
2008-05-27 04:36 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-02-20 07:11:03 EST
Description of problem:

 These patches add support super-H(sh3,sh4) architecture.
They are forward ported patches for SDL-1.2.13-2 
getting from http://www.sh-linux.org/ .

They are trivial diffs against SDL_config.h and the
current spec file that allow building the SDL package on Super-H
platforms.  Would you please consider applying these patches?
Comment 1 CHIKAMA Masaki 2008-02-20 07:11:03 EST
Created attachment 295414 [details]
Patch against SDL_config.h.
Comment 2 CHIKAMA Masaki 2008-02-20 07:11:49 EST
Created attachment 295415 [details]
Patch for SDL spec file.
Comment 3 Bug Zapper 2008-05-14 01:18:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 CHIKAMA Masaki 2008-05-27 04:35:04 EDT
How about this multilib hack for SDL_config.h on multilib arches only ?
We don't need patches for non multilib arches anymore.
Other packages like net-snmp take this approach.
Can you apply ?


--- SDL.spec.org        2008-05-27 17:14:03.000000000 +0900
+++ SDL.spec    2008-05-27 17:18:23.000000000 +0900
@@ -1,3 +1,5 @@
+%define multilib_arches %{ix86} ia64 ppc ppc64 s390 s390x x86_64
+
 Summary: A cross-platform multimedia library
 Name: SDL
 Version: 1.2.13
@@ -104,18 +106,10 @@
                                                                                
 # Rename SDL_config.h to SDL_config-<arch>.h to avoid file conflicts on
 # multilib systems and install SDL_config.h wrapper
-basearch=%{_arch}
-# always use i386 for iX86
-%ifarch %{ix86}
-basearch=i386
-%endif
-# always use arm for arm*
-%ifarch %{arm}
-basearch=arm
-%endif
-# Rename SDL_config.h
-mv %{buildroot}/%{_includedir}/SDL/SDL_config.h
%{buildroot}/%{_includedir}/SDL/SDL_config-${basearch}.h
+%ifarch %{multilib_arches}
+mv %{buildroot}/%{_includedir}/SDL/SDL_config.h
%{buildroot}/%{_includedir}/SDL/SDL_config-${_arch}.h
 install -m644 %{SOURCE1} %{buildroot}/%{_includedir}/SDL/SDL_config.h
+%endif
                                                                                
 # remove libtool .la file
 rm -f %{buildroot}%{_libdir}/*.la


--- SDL_config.h.org    2008-05-27 17:14:11.000000000 +0900
+++ SDL_config.h        2008-05-27 17:14:26.000000000 +0900
@@ -49,10 +49,6 @@
 #include "SDL_config-s390.h"
 #elif defined(__x86_64__)
 #include "SDL_config-x86_64.h"
-#elif defined(__arm__)
-#include "SDL_config-arm.h"
-#elif defined(__alpha__)
-#include "SDL_config-alpha.h"
 #else
 #error "The SDL-devel package is not usable with the architecture."
 #endif

Comment 5 CHIKAMA Masaki 2008-05-27 04:35:49 EDT
Created attachment 306745 [details]
SDL-spec.diff
Comment 6 CHIKAMA Masaki 2008-05-27 04:36:33 EDT
Created attachment 306746 [details]
SDL_config_h.patch
Comment 7 Bug Zapper 2009-06-09 19:36:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:39:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.